scala.tools.nsc.ast.NodePrinters

# nodeToRegularString

#### object nodeToRegularString extends DefaultPrintAST with (Global.Tree) ⇒ String

Linear Supertypes
(Global.Tree) ⇒ String, DefaultPrintAST, PrintAST, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. nodeToRegularString
2. Function1
3. DefaultPrintAST
4. PrintAST
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def andThen[A](g: (String) ⇒ A): (Global.Tree) ⇒ A

   Definition Classes
     Function1
   Annotations
     @unspecialized()

7. #### def annotationInfoToString(annot: Global.AnnotationInfo): String

   Definition Classes
     PrintAST

8. #### def apply(tree: Global.Tree): String

   Definition Classes
     nodeToRegularString → Function1

9. #### def applyCommon(tree: Global.Tree, fun: Global.Tree, args: List[Global.Tree]): Unit

   Definition Classes
     PrintAST

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### def compose[A](g: (A) ⇒ Global.Tree): (A) ⇒ String

    Definition Classes
      Function1
    Annotations
      @unspecialized()

13. #### def emptyOrComment(s: String): String

    Definition Classes
      PrintAST

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### def printLine(value: String, comment: String): Unit

    Definition Classes
      PrintAST

24. #### def printModifiers(tree: Global.MemberDef): Unit

    Definition Classes
      PrintAST

25. #### def printMultiline(prefix: String, comment: String)(body: ⇒ Unit): Unit

    Definition Classes
      PrintAST

26. #### def printMultiline(tree: Global.Tree)(body: ⇒ Unit): Unit

    Definition Classes
      PrintAST

27. #### val printPos: Boolean

    Definition Classes
      DefaultPrintAST

28. #### def printSingle(tree: Global.Tree, name: Global.Name): Unit

    Definition Classes
      PrintAST

29. #### def println(s: String): Unit

    Definition Classes
      PrintAST

30. #### def showAttributes(tree: Global.Tree): String

    Definition Classes
      DefaultPrintAST → PrintAST

31. #### def showDefTreeName(tree: Global.DefTree): String

    Definition Classes
      DefaultPrintAST → PrintAST

32. #### def showFlags(tree: Global.MemberDef): String

    Definition Classes
      DefaultPrintAST → PrintAST

33. #### def showLiteral(lit: Global.Literal): String

    Definition Classes
      DefaultPrintAST → PrintAST

34. #### def showName(name: Global.Name): String

    Definition Classes
      DefaultPrintAST → PrintAST

35. #### def showNameAndPos(tree: Global.NameTree): String

    Definition Classes
      DefaultPrintAST → PrintAST

36. #### def showPosition(tree: Global.Tree): String

    Definition Classes
      DefaultPrintAST → PrintAST

37. #### def showRefTree(tree: Global.RefTree): String

    Definition Classes
      PrintAST

38. #### def showRefTreeName(tree: Global.Tree): String

    Definition Classes
      PrintAST

39. #### def showSymbol(tree: Global.Tree): String

    Definition Classes
      DefaultPrintAST

40. #### def showType(tree: Global.Tree): String

    Definition Classes
      DefaultPrintAST

41. #### def showTypeTree(tt: Global.TypeTree): String

    Definition Classes
      DefaultPrintAST → PrintAST

42. #### def stringify(tree: Global.Tree): String

    Definition Classes
      PrintAST

43. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

44. #### def toString(): String

    Definition Classes
      Function1 → AnyRef → Any

45. #### def traverse(tree: Global.Tree): Unit

    Definition Classes
      PrintAST

46. #### def traverseAny(x: Any): Unit

    Definition Classes
      PrintAST

47. #### def traverseList(ifEmpty: String, what: String)(trees: List[Global.Tree]): Unit

    Definition Classes
      PrintAST

48. #### def treePrefix(tree: Global.Tree): String

    Definition Classes
      PrintAST

49. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from (Global.Tree) ⇒ String

### Inherited from DefaultPrintAST

### Inherited from PrintAST

### Inherited from AnyRef

### Inherited from Any

### Ungrouped